<script>
    import {getSingleCar} from "../carStore";

    export let params = {};
    import {fromDate, getUtcFromDate, getUtcToDate, toDate, userId} from "../stores";
    import {currentUser} from "../userStore";
    let car = getSingleCar(params.id);
    let body = "";


    async function submitOrder() {
        const jsonCar = JSON.stringify(await car);
        const customer = JSON.stringify($currentUser);

        // body = JSON.stringify({
        //     customer: JSON.stringify({id: $currentUser.id, firstName: $currentUser.firstName, lastName: $currentUser.lastName, address: $currentUser.address}),
        //     car: JSON.stringify(await car),
        //     startTime: getUtcFromDate(),
        //     endTime: getUtcToDate()});
        const response = await fetch('http://localhost:8081/api/v1/orders/', {
            method: 'POST',
            credentials: 'include',
            headers: {
                'Accept': 'application/json',
                'Content-Type': 'application/json'
            },
            body: JSON.stringify({
                customer: $currentUser,
                car: await car,
                startTime: getUtcFromDate(),
                endTime: getUtcToDate()})
        });
        if (response.status === 200){
            alert("Success");
        }
        else {
            alert("Fail!")
        }
    }

</script>
<h1>Order Details</h1>
<h3>Vehicle</h3>
{#await car then value}
    {JSON.stringify(value)}
    {/await}
<ul>
    <li>Id: {params.id}</li>
    <li>Model: {params.name}</li>
    <li>Size: {params.size}</li>
</ul>
<ul></ul>
<p>{new Date($fromDate).toISOString().substring(0,19)}</p>

<button on:click={submitOrder}>Confirm Order</button>
<p>{body}</p>